#################################################################
# Makefile generated by Xilinx Platform Studio 
# Project:C:\Work\Projects\Web_Server\ML403\MicroBlaze\system.xmp
#################################################################

XILINX_EDK_DIR = C:/Tools/EDK_81

SYSTEM = system

MHSFILE = system.mhs

MSSFILE = system.mss

FPGA_ARCH = virtex4

DEVICE = xc4vfx12ff668-10

LANGUAGE = vhdl

SEARCHPATHOPT = 

SUBMODULE_OPT = 

PLATGEN_OPTIONS = -p $(DEVICE) -lang $(LANGUAGE) $(SEARCHPATHOPT) $(SUBMODULE_OPT)

LIBGEN_OPTIONS = -mhs $(MHSFILE) -p $(DEVICE) $(SEARCHPATHOPT) \
                   $(MICROBLAZE_0_LIBG_OPT)

VPGEN_OPTIONS = -p $(DEVICE) $(SEARCHPATHOPT)

WEBSERVER_OUTPUT_DIR = WebServer
WEBSERVER_OUTPUT = $(WEBSERVER_OUTPUT_DIR)/executable.elf

MICROBLAZE_BOOTLOOP = $(XILINX_EDK_DIR)/sw/lib/microblaze/mb_bootloop.elf
PPC405_BOOTLOOP = $(XILINX_EDK_DIR)/sw/lib/ppc405/ppc_bootloop.elf
PPC440_BOOTLOOP = $(XILINX_EDK_DIR)/sw/lib/ppc440/ppc440_bootloop.elf
BOOTLOOP_DIR = bootloops

MICROBLAZE_0_BOOTLOOP = $(BOOTLOOP_DIR)/microblaze_0.elf
MICROBLAZE_0_XMDSTUB = microblaze_0/code/xmdstub.elf

BRAMINIT_ELF_FILES =   $(MICROBLAZE_0_BOOTLOOP) 
BRAMINIT_ELF_FILE_ARGS =   -pe microblaze_0  $(MICROBLAZE_0_BOOTLOOP) 

ALL_USER_ELF_FILES = $(WEBSERVER_OUTPUT) 

SIM_CMD = vsim

BEHAVIORAL_SIM_SCRIPT = simulation/behavioral/$(SYSTEM).do

STRUCTURAL_SIM_SCRIPT = simulation/structural/$(SYSTEM).do

TIMING_SIM_SCRIPT = simulation/timing/$(SYSTEM).do

DEFAULT_SIM_SCRIPT = $(BEHAVIORAL_SIM_SCRIPT)

MIX_LANG_SIM_OPT = -mixed yes

SIMGEN_OPTIONS = -p $(DEVICE) -lang $(LANGUAGE) $(SEARCHPATHOPT) $(SUBMODULE_OPT) $(BRAMINIT_ELF_FILE_ARGS) $(MIX_LANG_SIM_OPT)  -s mti

MICROBLAZE_0_XMDSTUB = microblaze_0/code/xmdstub.elf

LIBRARIES =  \
       microblaze_0/lib/libxil.a 
VPEXEC = virtualplatform/vpexec.exe

LIBSCLEAN_TARGETS = microblaze_0_libsclean 

PROGRAMCLEAN_TARGETS = WebServer_programclean 

CORE_STATE_DEVELOPMENT_FILES = 

WRAPPER_NGC_FILES = implementation/microblaze_0_wrapper.ngc \
implementation/mb_opb_wrapper.ngc \
implementation/debug_module_wrapper.ngc \
implementation/ilmb_wrapper.ngc \
implementation/dlmb_wrapper.ngc \
implementation/dlmb_cntlr_wrapper.ngc \
implementation/ilmb_cntlr_wrapper.ngc \
implementation/lmb_bram_wrapper.ngc \
implementation/rs232_uart_wrapper.ngc \
implementation/leds_4bit_wrapper.ngc \
implementation/push_buttons_position_wrapper.ngc \
implementation/ddr_sdram_64mx32_wrapper.ngc \
implementation/ethernet_mac_wrapper.ngc \
implementation/sram_256kx32_wrapper.ngc \
implementation/opb_timer_1_wrapper.ngc \
implementation/opb_intc_0_wrapper.ngc \
implementation/sram_256kx32_util_bus_split_0_wrapper.ngc \
implementation/sysclk_inv_wrapper.ngc \
implementation/clk90_inv_wrapper.ngc \
implementation/ddr_clk90_inv_wrapper.ngc \
implementation/dcm_0_wrapper.ngc \
implementation/dcm_1_wrapper.ngc

POSTSYN_NETLIST = implementation/$(SYSTEM).ngc

SYSTEM_BIT = implementation/$(SYSTEM).bit

DOWNLOAD_BIT = implementation/download.bit

SYSTEM_ACE = implementation/$(SYSTEM).ace

UCF_FILE = data/system.ucf

BMM_FILE = implementation/$(SYSTEM).bmm

BITGEN_UT_FILE = etc/bitgen.ut

XFLOW_OPT_FILE = etc/fast_runtime.opt
XFLOW_DEPENDENCY = __xps/xpsxflow.opt $(XFLOW_OPT_FILE)

FPGA_IMP_DEPENDENCY = $(BMM_FILE) $(POSTSYN_NETLIST) $(UCF_FILE) $(BITGEN_UT_FILE) $(XFLOW_DEPENDENCY)

#################################################################
# SOFTWARE APPLICATION WEBSERVER
#################################################################

WEBSERVER_SOURCES = WebServer/http.c WebServer/serial_io.c WebServer/web_server.c 

WEBSERVER_HEADERS = WebServer/http.h WebServer/serial_io.h WebServer/web_server.h 

WEBSERVER_CC = mb-gcc
WEBSERVER_CC_SIZE = mb-size
WEBSERVER_CC_OPT = -O2
WEBSERVER_CFLAGS = 
WEBSERVER_CC_SEARCH = # -B
WEBSERVER_LIBPATH = -L./microblaze_0/lib/ # -L
WEBSERVER_INCLUDES = -I./microblaze_0/include/  -IWebServer/ # -I
WEBSERVER_LFLAGS =   -llwip4 -lxilkernel 
WEBSERVER_CC_PREPROC_FLAG = # -Wp,
WEBSERVER_CC_ASM_FLAG = # -Wa,
WEBSERVER_CC_LINKER_FLAG = # -Wl,
WEBSERVER_LINKER_SCRIPT = 
WEBSERVER_LINKER_SCRIPT_FLAG = #-Wl,-T -Wl,$(WEBSERVER_LINKER_SCRIPT) 
WEBSERVER_CC_DEBUG_FLAG =  -g 
WEBSERVER_CC_PROFILE_FLAG = # -pg
WEBSERVER_CC_GLOBPTR_FLAG= # -mxl-gp-opt
WEBSERVER_MODE = executable
WEBSERVER_LIBG_OPT = -$(WEBSERVER_MODE) microblaze_0
WEBSERVER_CC_SOFTMUL_FLAG= -mno-xl-soft-mul 
WEBSERVER_CC_START_ADDR_FLAG= -Wl,-defsym -Wl,_TEXT_START_ADDR=0x28000000
WEBSERVER_CC_STACK_SIZE_FLAG=  # -Wl,-defsym -Wl,_STACK_SIZE=
WEBSERVER_CC_HEAP_SIZE_FLAG=  # -Wl,-defsym -Wl,_HEAP_SIZE=
WEBSERVER_OTHER_CC_FLAGS= $(WEBSERVER_CC_GLOBPTR_FLAG)  \
                  $(WEBSERVER_CC_START_ADDR_FLAG) $(WEBSERVER_CC_STACK_SIZE_FLAG) $(WEBSERVER_CC_HEAP_SIZE_FLAG)  \
                  $(WEBSERVER_CC_SOFTMUL_FLAG)  \
                  $(WEBSERVER_CC_PREPROC_FLAG) $(WEBSERVER_CC_ASM_FLAG) $(WEBSERVER_CC_LINKER_FLAG)  \
                  $(WEBSERVER_LINKER_SCRIPT_FLAG) $(WEBSERVER_CC_DEBUG_FLAG) $(WEBSERVER_CC_PROFILE_FLAG) 
